Page MenuHomePhabricator

Add footnote type to the header of reference previews
Closed, ResolvedPublic2 Story Points

Description

Motivation
Users should be aware what they are looking at. As a first step, there should be a title that just says "footnote", but the goal is to show some categorization in the future (e.g. web link or publication)

Mock

Icon
Can be found in the OOUI Demos under Icons-editing-citations --> reference

Acceptance Criteria

  • The header of a reference preview includes the described icon and the text Footnote

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 11:54 AM
Lea_WMDE updated the task description. (Show Details)Jan 16 2019, 2:48 PM
Lea_WMDE set the point value for this task to 2.
Lea_WMDE moved this task from In preparation to Ready for pickup on the Reference Previews board.
Lea_WMDE triaged this task as Normal priority.Jan 23 2019, 1:49 PM
Lea_WMDE moved this task from Ready for pickup to Doing on the Reference Previews board.

Question to PM and possibly UX: I noticed that all existing icons are gray, not black. Well, "all existing" is more like a single icon for disambiguation pages:

The second icon is the fallback that never appears in production. It's also gray:

Should we still follow this mock?

Change 486336 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add default OOUI reference icon to all reference popups

https://gerrit.wikimedia.org/r/486336

thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2019-01-23 board.

Change 486342 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Move default "Footnote" title from gateway to renderer

https://gerrit.wikimedia.org/r/486342

@thiemowmde I assume the disambiguation pages are part of page previews?
@alexhollender should we switch to grey then? Sounds good from my side.

Yes, disambiguation pages are handled by the regular page preview code. They are just presented a little different (with the icon and a fixed message), because it would not be terribly helpful to show a text extract from a disambiguation page.

I, personally, think the black icon and the more compact heading do make a lot of sense for our reference previews, given these popups will show much more diverse content. I just wanted to let you know we are going to introduce a little (possibly useful) inconsistency here.

Thanks Thiemo! For now, let's do what is faster, and then correct later if necessary.

Apologies for the slow reply. The disambiguation page previews @thiemowmde has referenced are a bit of a special case. The original design has actually gotten a bit malformed over time, so once they eventually get fixed they won't resemble our reference previews so closely. The gray icon (originally larger in size) was partially meant as an empty-state of sorts. Anyhow I don't think we need to worry about consistency there.

I am realizing, however, that it would be good to use the same icons (and colors) that are used in the editor:


I can't find the icons in the screenshot above in OOUI. I'm not sure where they are coming from. Would it be possible for us to include updating those, so they are consistent with the OOUI ones we want to use in reference previews, as part of this work?

Thanks a lot, that sounds good.

I was able to find the icons on https://doc.wikimedia.org/oojs-ui/master/demos/?page=icons in the section "Icons – editing-citation" (unfortunately, the documentation doesn't allow linking to sections). It seems it is indeed VisualEditor who needs a bit of an update now.

Change 486342 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Move default "Footnote" title from gateway to renderer

https://gerrit.wikimedia.org/r/486342

Change 486336 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add default OOUI reference icon to all reference popups

https://gerrit.wikimedia.org/r/486336

Lea_WMDE closed this task as Resolved.Jan 30 2019, 4:20 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-01-23 board.
JStrodt_WMDE renamed this task from Add footnote indicator to the header of reference previews to Add footnote type to the header of reference previews.Feb 1 2019, 12:39 PM
JStrodt_WMDE added a subscriber: JStrodt_WMDE.

Renamed the title of this ticket because we usually mean sth. else with "indicator" (i.e. the little bracketed numbers in the article body that indicate that there is a footnote).